Package uk.ac.starlink.task

# Class ParameterValueException

java.lang.Object
java.lang.Throwable
java.lang.Exception
uk.ac.starlink.task.TaskException
uk.ac.starlink.task.UsageException
uk.ac.starlink.task.ParameterValueException

All Implemented Interfaces:
  `Serializable`

public class ParameterValueException extends UsageException
Exception generated when the value of a parameter is invalid.

Note each of the constructors takes the parameter in question as its first argument.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ParameterValueException(Parameter<?> par)`
`ParameterValueException(Parameter<?> par, String message)`
`ParameterValueException(Parameter<?> par, String message, Throwable cause)`
`ParameterValueException(Parameter<?> par, Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`Parameter<?>`
`getParameter()`
Returns the parameter with which this exception is associated.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ParameterValueException

public ParameterValueException(Parameter<?> par)

### ParameterValueException

public ParameterValueException(Parameter<?> par, String message)

### ParameterValueException

public ParameterValueException(Parameter<?> par, String message, Throwable cause)

### ParameterValueException

public ParameterValueException(Parameter<?> par, Throwable cause)

## Method Details

### getParameter

public Parameter<?> getParameter()
Returns the parameter with which this exception is associated.

Returns:
  parameter